PVideoInteractionInfo Class Reference

This class defines a video Input device Interactions (Remote Inputs/Controls) More...

`#include <videoio.h>`

Inheritance diagram for PVideoInteractionInfo:

## Public Types

enum | InputInteractType { InteractKey, InteractMouse, InteractNavigate, InteractRTSP, InteractOther }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Static Public Member Functions

static PString | AsString (const InputInteractType &type)
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Public Attributes

InputInteractType | type

## Additional Inherited Members

Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Detailed Description

This class defines a video Input device Interactions (Remote Inputs/Controls)

## Member Enumeration Documentation

## InputInteractType

enum PVideoInteractionInfo::InputInteractType

Enumerator
InteractKey |
InteractMouse | Register remote KeyPresses.
InteractNavigate | Register remote Mouse Movement Clicks.
InteractRTSP | Register remote Navigation commands.
InteractOther | Register remote RTSP (Real Time Streaming Protocol) Inputs. Register remote application specific Inputs

## Member Function Documentation

## AsString()

static PString PVideoInteractionInfo::AsString | ( | const InputInteractType & | type | ) |

static

## Member Data Documentation

## type

InputInteractType PVideoInteractionInfo::type

The documentation for this class was generated from the following file:

- videoio.h